Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Samuli Suominen (drac)" <drac@g.o>
Subject: gentoo-x86 commit in xfce-base/xfce4: xfce4-4.4.2.ebuild ChangeLog
Date: Sun, 22 Jun 2008 22:21:30 +0000
drac        08/06/22 22:21:30

  Modified:             xfce4-4.4.2.ebuild ChangeLog
  Log:
  Killed xfce44.eclass usage for meta ebuild.
  (Portage version: 2.2_rc1/cvs/Linux 2.6.26-rc3 x86_64)

Revision  Changes    Path
1.11                 xfce-base/xfce4/xfce4-4.4.2.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce4/xfce4-4.4.2.ebuild?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce4/xfce4-4.4.2.ebuild?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce4/xfce4-4.4.2.ebuild?r1=1.10&r2=1.11

Index: xfce4-4.4.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/xfce-base/xfce4/xfce4-4.4.2.ebuild,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- xfce4-4.4.2.ebuild	20 Mar 2008 21:56:32 -0000	1.10
+++ xfce4-4.4.2.ebuild	22 Jun 2008 22:21:29 -0000	1.11
@@ -1,43 +1,35 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/xfce-base/xfce4/xfce4-4.4.2.ebuild,v 1.10 2008/03/20 21:56:32 drac Exp $
-
-inherit xfce44
-
-XFCE_VERSION=4.4.2
-xfce44
+# $Header: /var/cvsroot/gentoo-x86/xfce-base/xfce4/xfce4-4.4.2.ebuild,v 1.11 2008/06/22 22:21:29 drac Exp $
 
 HOMEPAGE="http://www.xfce.org"
 DESCRIPTION="Meta package for Xfce4 desktop, merge this package to install."
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sparc x86 ~x86-fbsd"
+SRC_URI=""
+
+LICENSE="as-is"
+SLOT="0"
 IUSE="alsa cups minimal oss xscreensaver"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sparc x86 ~x86-fbsd"
 
-RDEPEND=">=x11-themes/gtk-engines-xfce-2.4.2
-	>=xfce-base/thunar-0.8.0
-	>=xfce-base/xfce-mcs-plugins-${XFCE_MASTER_VERSION}
-	>=xfce-base/xfce4-panel-${XFCE_MASTER_VERSION}
-	>=xfce-base/xfwm4-${XFCE_MASTER_VERSION}
-	>=xfce-base/xfce-utils-${XFCE_MASTER_VERSION}
-	>=xfce-base/xfdesktop-${XFCE_MASTER_VERSION}
-	>=xfce-base/xfce4-session-${XFCE_MASTER_VERSION}
-	>=xfce-extra/xfce4-icon-theme-${XFCE_MASTER_VERSION}
-	alsa? ( >=xfce-extra/xfce4-mixer-${XFCE_MASTER_VERSION} )
-	oss? ( >=xfce-extra/xfce4-mixer-${XFCE_MASTER_VERSION} )
-	cups? ( >=xfce-base/xfprint-${XFCE_MASTER_VERSION} )
-	!minimal? ( >=xfce-base/orage-${XFCE_MASTER_VERSION}
-		>=xfce-extra/mousepad-0.2.13
-		>=xfce-extra/xfwm4-themes-${XFCE_MASTER_VERSION}
-		>=xfce-extra/terminal-0.2.8
-		>=xfce-extra/xfce4-appfinder-${XFCE_MASTER_VERSION} )
-	xscreensaver? ( || ( >=x11-misc/xscreensaver-5.03
+RDEPEND=">=x11-themes/gtk-engines-xfce-2.4
+	>=xfce-base/thunar-0.8
+	>=xfce-base/xfce-mcs-plugins-4.4
+	>=xfce-base/xfce4-panel-4.4
+	>=xfce-base/xfwm4-4.4
+	>=xfce-base/xfce-utils-4.4
+	>=xfce-base/xfdesktop-4.4
+	>=xfce-base/xfce4-session-4.4
+	x11-themes/xfce4-icon-theme
+	alsa? ( >=xfce-extra/xfce4-mixer-4.4 )
+	oss? ( >=xfce-extra/xfce4-mixer-4.4 )
+	cups? ( >=xfce-base/xfprint-4.4 )
+	!minimal? ( >=xfce-base/orage-4.4
+		app-editors/mousepad
+		xfce-extra/xfwm4-themes
+		x11-terms/terminal
+		>=xfce-extra/xfce4-appfinder-4.4 )
+	xscreensaver? ( || ( x11-misc/xscreensaver
 		gnome-extra/gnome-screensaver ) )"
-DEPEND="${RDEPEND}"
-
-# hack to avoid exporting function from eclass.
-# we need eclass to get _MASTER_VERSION.
-src_compile() {
-	echo
-}
 
 src_install() {
 	dodir /etc/X11/Sessions



1.121                xfce-base/xfce4/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce4/ChangeLog?rev=1.121&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce4/ChangeLog?rev=1.121&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/xfce-base/xfce4/ChangeLog?r1=1.120&r2=1.121

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/xfce-base/xfce4/ChangeLog,v
retrieving revision 1.120
retrieving revision 1.121
diff -u -r1.120 -r1.121
--- ChangeLog	20 Mar 2008 21:56:32 -0000	1.120
+++ ChangeLog	22 Jun 2008 22:21:29 -0000	1.121
@@ -1,6 +1,12 @@
 # ChangeLog for xfce-base/xfce4
 # Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/xfce-base/xfce4/ChangeLog,v 1.120 2008/03/20 21:56:32 drac Exp $
+# $Header: /var/cvsroot/gentoo-x86/xfce-base/xfce4/ChangeLog,v 1.121 2008/06/22 22:21:29 drac Exp $
+
+  22 Jun 2008; Samuli Suominen <drac@g.o> xfce4-4.4.2.ebuild:
+  Killed xfce44.eclass usage for meta ebuild.
+
+  22 Jun 2008; Samuli Suominen <drac@g.o> xfce4-4.4.2.ebuild:
+  Move xfce4-icon-theme and terminal to x11-themes and x11-terms.
 
   20 Mar 2008; Samuli Suominen <drac@g.o> xfce4-4.4.2.ebuild:
   Relax Thunar dep so 0.8.0 is also allowed.



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in xfce-base/xfce4: xfce4-4.4.2.ebuild ChangeLog
Next by thread:
gentoo-x86 commit in xfce-base/xfce4: xfce4-4.4.2.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in x11-terms/terminal: terminal-0.2.8.ebuild
Next by date:
gentoo-x86 commit in x11-themes/xfce4-icon-theme: metadata.xml xfce4-icon-theme-4.4.2.ebuild Manifest ChangeLog


Updated Nov 26, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.